Package: org.apache.groovy.contracts.annotations.meta

## [Java] Annotation Type Precondition

- org.apache.groovy.contracts.annotations.meta.Precondition

-     @Retention(RetentionPolicy.RUNTIME)
      @Documented
      @ContractElement
      public @interface Precondition

  Indicates that annotations being marked as `@Precondition` are to be treated as pre-condition modifying annotations.

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`